Bug 128406 - radeon driver has errors detecting external monitor on laptop
radeon driver has errors detecting external monitor on laptop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-22 12:23 EDT by Dirk Haaga
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 05:02:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dirk Haaga 2004-07-22 12:23:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.2)
Gecko/20040301

Description of problem:
driver did not detect my external connected monitor (Samsung
SyncMaster 180T) and used default settings instead, which results in a
uglx 640x480 resolution. My laptop is an IBM Thinkpad T30.
The same hardware works well with Fedora Core 1 and 2. It also works
fine with the vesa driver under RHEL 3.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-62.EL

How reproducible:
Always

Steps to Reproduce:
1. install radeon driver
2. good luck :-)
3.
    

Actual Results:  640x480 resolution

Expected Results:  1280x1024 resolution

Additional info:
Comment 1 Mike A. Harris 2004-07-28 13:49:27 EDT
RHEL 3 and Fedora Core 1 ship the exact same "radeon" driver.

You mention:  1. install radeon driver

Are you installing a 3rd party radeon driver?
Comment 2 Dirk Haaga 2004-07-29 04:49:38 EDT
I have used the XFree86 OSS driver, not the commercial ATI driver. The
VESA driver works well. Than Ngo tested it on Fedora Core 2 (sorry -
not Core 1 !!!). He and Thomas Woerner can also provide you with
further infos. Than made some testing and said, that he has an idea,
where the problem could be. Maybe it makes sense, if you talk
directely to him :-)
We also tried another TFT display (V7 17 inch) and this display works
well in 1280x1024 with the radeon driver. The Samsung display returns
a max horiz. frequenzy of 31khz. (according to the log files) to the
driver, The driver ignores all XF86Config settings and only starts in
640x480, not using the 1280x1024 resolution set in the config file.
Thanks
Dirk
Comment 3 Mike A. Harris 2004-08-31 13:10:40 EDT
Fedora Core 2 contains xorg-x11 which is a newer X release than
what is shipped/supported in RHEL3.  Please attach a copy of the
X server log file from a failed startup attempt, and a copy of the
X config file.

I've also CC'd Than for comment.
Comment 4 Mike A. Harris 2004-12-06 12:55:55 EST
If this problem remains, please update the bug report as per the
requests in comment #3 above.  If the problem no longer occurs,
please update the report with status info so we can close it
appropriately.

Thanks in advance.
Comment 5 Mike A. Harris 2004-12-06 12:56:39 EST
Setting status to "NEEDINFO", awaiting requested information.
Comment 6 Ngo Than 2004-12-07 17:07:24 EST
my idee was just to disable some patches in XFree86-4.3.0-62.EL, which
could cause this problem. But it did not work. Problem still shows up :(
Comment 7 Mike A. Harris 2005-02-01 05:02:59 EST
This problem is assumed to be fixed in RHEL3 with all updates
applied, as the required information requested in comment #3
has not been supplied.  Closing bug as "ERRATA" for RHEL3, however
if this problem still persists in RHEL3 with all updates applied,
please attach the information requested in comment #3 above,
and we will review the issue again and investigate.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.